### Hierarchy

- DeepCopy<DataRequest>
  - DataRequest

## Index

### Constructors

- constructor

### Properties

- fromPk
- id
- requestData
- responseData
- rootPk
- toPk

### Methods

- copy
- deepCopyFromJson
- getClass
- toJson

## Constructors

### constructor

- new DataRequest(fromPk?: string, toPk?: string, rootPk?: string, requestData?: string, responseData?: string): DataRequest

- - Defined in repository/models/DataRequest.ts:10

  #### Parameters

  - ##### Default value fromPk: string = ""

  - ##### Default value toPk: string = ""

  - ##### Default value rootPk: string = ""

  - ##### Default value requestData: string = ""

  - ##### Default value responseData: string = ""

  #### Returns DataRequest

## Properties

### fromPk

fromPk: string = ""

- Defined in repository/models/DataRequest.ts:6

### id

id: number = 0

- Defined in repository/models/DataRequest.ts:5

### requestData

requestData: string = ""

- Defined in repository/models/DataRequest.ts:9

### responseData

responseData: string = ""

- Defined in repository/models/DataRequest.ts:10

### rootPk

rootPk: string = ""

- Defined in repository/models/DataRequest.ts:8

### toPk

toPk: string = ""

- Defined in repository/models/DataRequest.ts:7

## Methods

### copy

- copy(changeArgs?: JsonObject<DataRequest>): DataRequest

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<DataRequest>

  #### Returns DataRequest

### Protected deepCopyFromJson

- deepCopyFromJson(): DataRequest

- Inherited from DeepCopy.deepCopyFromJson

  - Defined in repository/models/DeepCopy.ts:22

  #### Returns DataRequest

### Protected getClass

- getClass(): ClassCreator<DataRequest>

- Overrides DeepCopy.getClass

  - Defined in repository/models/DataRequest.ts:31

  #### Returns ClassCreator<DataRequest>

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/DataRequest.ts:27

  #### Returns object

Generated using TypeDoc